## AgsResetFxPeak

AgsResetFxPeak — reset fx peak

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_reset_fx_peak_add ()
void | ags_reset_fx_peak_remove ()
AgsResetFxPeak * | ags_reset_fx_peak_get_instance ()
AgsResetFxPeak * | ags_reset_fx_peak_new ()

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsResetFxPeak

## Includes

    #include <ags/audio/task/ags_reset_fx_peak.h>

## Description

The AgsResetFxPeak task resets ags-fx-peak to recompute the peak during next run.

## Functions

### ags_reset_fx_peak_add ()

    void
    ags_reset_fx_peak_add (AgsResetFxPeak *reset_fx_peak,
                           AgsFxPeakChannel *fx_peak_channel);

Add `fx_peak_channel` .

#### Parameters

reset_fx_peak | the AgsResetFxPeak |
fx_peak_channel | the AgsFxPeakChannel |

Since: 3.3.0

### ags_reset_fx_peak_remove ()

    void
    ags_reset_fx_peak_remove (AgsResetFxPeak *reset_fx_peak,
                              AgsFxPeakChannel *fx_peak_channel);

Remove `fx_peak_channel` .

#### Parameters

reset_fx_peak | the AgsResetFxPeak |
fx_peak_channel | the AgsFxPeakChannel |

Since: 3.3.0

### ags_reset_fx_peak_get_instance ()

    AgsResetFxPeak *
    ags_reset_fx_peak_get_instance ();

Get instance.

#### Returns

the AgsResetFxPeak.

[transfer none]

Since: 3.3.0

### ags_reset_fx_peak_new ()

    AgsResetFxPeak *
    ags_reset_fx_peak_new ();

Creates an AgsResetFxPeak.

#### Returns

an new AgsResetFxPeak.

Since: 3.3.0